<?php
/***********************************************************************************/
/* MassCRM客户关系管理系统							   */
/* ========================      						   */
/* 欢迎使用 MassCRM ,在您开始使用之前,请务必完整阅读本软件附带的全部说明档	   */
/***********************************************************************************/
/* Welcome to http://www.massboxes.com & http://masscrm.massboxes.com		   */
/***********************************************************************************/
	session_start();			//通过session验证身份，session开始
	
	//先检查浏览器
	require_once('./common/browser_detector.php');
	
	if(!$_REQUEST[IS_MAX_WINDOW])
		$IS_MAX_WINDOW=false;			//为了最好的视觉效果，要求窗口最大化，进入时候窗口不是最大化
	else
		$IS_MAX_WINDOW=true;			//为了最好的视觉效果，要求窗口最大化，进入时候窗口不是最大化

	
	//登陆动作
	if($_POST[login_ok]){
		$name=$_POST[name];
		$password=$_POST[password];
		$account=$_POST[account];
		$IS_MAX_WINDOW=true;										//窗口已经最大化
		login($account,$name,$password);
	}
	
	//选择帐套动作
	if($_POST[select_account]){
		echo"<META HTTP-EQUIV=Refresh CONTENT=0.2;URL=login.php?IS_MAX_WINDOW=true&&account=".$_POST[account].">";
		exit;	
	}
	
	//后退动作
	if($_POST[back]){
		echo"<META HTTP-EQUIV=Refresh CONTENT=0.2;URL=login.php?IS_MAX_WINDOW=true>";
		exit;	
	}	

	//验证身份程序
	function login($account,$name,$password){

		global $user_auto_id,$user_id,$user_name;

		if(session_is_registered('account'))session_unregister('account');				//一个浏览器一次只允许一个帐套登陆
		if(session_is_registered('user_auto_id'))session_unregister('user_auto_id');
		if(session_is_registered('user_id'))session_unregister('user_id');
		if(session_is_registered('user_name'))session_unregister('user_name');

		include "./account/".$account.".boxes.inc.php";	//读取选中的帐套信息
		
		//包含adodb.inc.php
		require_once('./adodb/adodb.inc.php');

		//mysql数据库
		$conn = &ADONewConnection('mysql');

		//显示debug过程
		//$conn->debug=true;
	
		//不显示debug过程
		$conn->debug=false;
		
		//连接数据库
		$conn->PConnect($MYSQL_HOSTNAME, $MYSQL_USERNAME, $MYSQL_PASSWORD, $DATABASE);
		
		//引入类文件
		require_once"./includes/BiaoCommon.class.php";
		
		//创建对象
		$boxesList=new BiaoCommon($conn); 
		
		//设置表名
		$boxesList->setTableName("boxes_user");
		
		//设置筛选的字段
		$boxesList->setSelectField("*");
	
		//设置查询条件
		$boxesList->setCondition("where bu_auto_id='$name'");
		
		$boxes_result=$boxesList->selectResult();
		
		
		//只有一行结果的
		$row=$boxes_result[0];

		$p=$row[bu_password];
		$password=md5($password);								//用MD5加密密码
		if($password!=$p){										//比较密码失败
			echo"<script>";
			echo"alert(\"您输入的密码有误，请重新输入，输入时注意大小写！\");";		
			echo"</script>";
			echo"<META HTTP-EQUIV=Refresh CONTENT=0.2;URL=login.php?IS_MAX_WINDOW=true>";
			exit;	
		}
		else{												//比较密码成功
			$user_auto_id=$row[bu_auto_id];
			$user_id=$row[bu_id];			
			$user_name=$row[bu_name];	
			session_register(array("account","user_auto_id","user_id","user_name"));
			echo"<script>";
			echo"alert(\"登陆成功，欢迎使用MassCRM客户关系管理系统！\");";		
			echo"</script>";
			echo"<META HTTP-EQUIV=Refresh CONTENT=0.1;URL=index_main.php>";
			exit;	
		}
	}
	
	if(!$_REQUEST[account]){
		//BEGIN-读取目录文件
		$d= dir("./account/");
		$num=0;
		while ($entry=$d->read())
		{
			  if ($entry!="" and $entry!="." and $entry!="..") {
					$arr_fname=explode(".",$entry);
					$ext=$arr_fname[1];								//读取所有xxx.boxes.inc.php文件，特征是第一个“.”后的为“boxes”
					if (($ext=="boxes")){
						$BOXES_ACCOUNT_NAME="";
						include "./account/".$arr_fname[0].".boxes.inc.php";
						$account_name_array[$num]= array ("account_value" => $arr_fname[0],"account_name" => $ACCOUNT_NAME);	//写入数组$account_name_array里
						$num++;
					}
			}
		}
		$d->close();
	}
	else{
		include "./account/".$_REQUEST[account].".boxes.inc.php";
		$account_name_array[0]= array ("account_value" => $_REQUEST[account],"account_name" => $ACCOUNT_NAME);
		
		//读取用户列表
		//包含adodb.inc.php
		require_once('./adodb/adodb.inc.php');

		//mysql数据库
		$conn = &ADONewConnection('mysql');

		//显示debug过程
		//$conn->debug=true;
		
		//连接数据库
		$conn->PConnect($MYSQL_HOSTNAME, $MYSQL_USERNAME, $MYSQL_PASSWORD, $DATABASE);
		
		//引入类文件
		require_once"./includes/BiaoCommon.class.php";
		
		//创建对象
		$boxesList=new BiaoCommon($conn); 
		
		//设置表名
		$boxesList->setTableName("boxes_user");
		
		//设置筛选的字段
		$boxesList->setSelectField("*");
	
		$boxes_result=$boxesList->selectResult();

		for($i=0;$i<count($boxes_result);$i++){
			$user_name_array[]=array("user_name" 		=>	$boxes_result[$i][bu_name],
									 "user_auto_id"		=>	$boxes_result[$i][bu_auto_id]);
		}
	}
	
	//页面基本设置
	require_once './includes/config.inc.php';
	
	//Smarty模板库
	require_once './smarty/Smarty.class.php';

	$smart=new smarty;
	
	//路径+模板风格路径
	$smart->template_dir = './templates/'.$TEMPLATE_STYLE.'/';
	$smart->compile_dir = './smarty/templates_c/';
	$smart->config_dir = './smarty/configs/';
	$smart->cache_dir = './smarty/cache/';
	$smart->left_delimiter = '{/';
	$smart->right_delimiter = '/}';
	
	//替换标题
	$smart->assign(array("HTML_TITLE"=>$HTML_TITLE));
	
	$smart->assign("account_array", $account_name_array);
	
	if(!$IS_MAX_WINDOW)
		$smart->assign("MAX_WINDOW" ,"<script>max.Click()</script>");
	else
		$smart->assign("MAX_WINDOW" ,"");
	
	if(!$_REQUEST[account]){
		//登陆界面
		$smart->display('select.tpl.htm');
	}else{
		$smart->assign("account", $_REQUEST[account]);
		$smart->assign("user_name_array", $user_name_array);
		//选择帐套
		$smart->display('login.tpl.htm');
	}

?>